org.eclipse.viatra.cep.core.metamodels.automaton

## Enum EventContext

- java.lang.Object
- - java.lang.Enum<EventContext>
  - - org.eclipse.viatra.cep.core.metamodels.automaton.EventContext

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EventContext>, org.eclipse.emf.common.util.Enumerator

      public enum EventContext
      extends java.lang.Enum<EventContext>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Event Context', and utility methods for working with them.
  See Also:
    `AutomatonPackage.getEventContext()`
  Generated:
  Model:

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHRONICLE` The 'CHRONICLE' literal object.
    `IMMEDIATE` The 'IMMEDIATE' literal object.
    `NOT_SET` The 'NOT SET' literal object.
    `RECENT` The 'RECENT' literal object.
    `STRICT_IMMEDIATE` The 'STRICT IMMEDIATE' literal object.
    `UNRESTRICTED` The 'UNRESTRICTED' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CHRONICLE_VALUE` The 'CHRONICLE' literal value.
    `static int` | `IMMEDIATE_VALUE` The 'IMMEDIATE' literal value.
    `static int` | `NOT_SET_VALUE` The 'NOT SET' literal value.
    `static int` | `RECENT_VALUE` The 'RECENT' literal value.
    `static int` | `STRICT_IMMEDIATE_VALUE` The 'STRICT IMMEDIATE' literal value.
    `static int` | `UNRESTRICTED_VALUE` The 'UNRESTRICTED' literal value.
    `static java.util.List<EventContext>` | `VALUES` A public read-only list of all the 'Event Context' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventContext` | `get(int value)` Returns the 'Event Context' literal with the specified integer value.
    `static EventContext` | `get(java.lang.String literal)` Returns the 'Event Context' literal with the specified literal value.
    `static EventContext` | `getByName(java.lang.String name)` Returns the 'Event Context' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static EventContext` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventContext[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_SET

          public static final EventContext NOT_SET

      The 'NOT SET' literal object.
      See Also:
        `NOT_SET_VALUE`
      Generated:
      Ordered:

    - #### CHRONICLE

          public static final EventContext CHRONICLE

      The 'CHRONICLE' literal object.
      See Also:
        `CHRONICLE_VALUE`
      Generated:
      Ordered:

    - #### RECENT

          public static final EventContext RECENT

      The 'RECENT' literal object.
      See Also:
        `RECENT_VALUE`
      Generated:
      Ordered:

    - #### UNRESTRICTED

          public static final EventContext UNRESTRICTED

      The 'UNRESTRICTED' literal object.
      See Also:
        `UNRESTRICTED_VALUE`
      Generated:
      Ordered:

    - #### IMMEDIATE

          public static final EventContext IMMEDIATE

      The 'IMMEDIATE' literal object.
      See Also:
        `IMMEDIATE_VALUE`
      Generated:
      Ordered:

    - #### STRICT_IMMEDIATE

          public static final EventContext STRICT_IMMEDIATE

      The 'STRICT IMMEDIATE' literal object.
      See Also:
        `STRICT_IMMEDIATE_VALUE`
      Generated:
      Ordered:

  - ### Field Detail

    - #### NOT_SET_VALUE

          public static final int NOT_SET_VALUE

      The 'NOT SET' literal value.

      If the meaning of 'NOT SET' literal object isn't clear, there really should be more of a description here...

      See Also:
        `NOT_SET`, Constant Field Values
      Generated:
      Ordered:
      Model:

    - #### CHRONICLE_VALUE

          public static final int CHRONICLE_VALUE

      The 'CHRONICLE' literal value.

      If the meaning of 'CHRONICLE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `CHRONICLE`, Constant Field Values
      Generated:
      Ordered:
      Model:

    - #### RECENT_VALUE

          public static final int RECENT_VALUE

      The 'RECENT' literal value.

      If the meaning of 'RECENT' literal object isn't clear, there really should be more of a description here...

      See Also:
        `RECENT`, Constant Field Values
      Generated:
      Ordered:
      Model:

    - #### UNRESTRICTED_VALUE

          public static final int UNRESTRICTED_VALUE

      The 'UNRESTRICTED' literal value.

      If the meaning of 'UNRESTRICTED' literal object isn't clear, there really should be more of a description here...

      See Also:
        `UNRESTRICTED`, Constant Field Values
      Generated:
      Ordered:
      Model:

    - #### IMMEDIATE_VALUE

          public static final int IMMEDIATE_VALUE

      The 'IMMEDIATE' literal value.

      If the meaning of 'IMMEDIATE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `IMMEDIATE`, Constant Field Values
      Generated:
      Ordered:
      Model:

    - #### STRICT_IMMEDIATE_VALUE

          public static final int STRICT_IMMEDIATE_VALUE

      The 'STRICT IMMEDIATE' literal value.

      If the meaning of 'STRICT IMMEDIATE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `STRICT_IMMEDIATE`, Constant Field Values
      Generated:
      Ordered:
      Model:

    - #### VALUES

          public static final java.util.List<EventContext> VALUES

      A public read-only list of all the 'Event Context' enumerators.
      Generated:

  - ### Method Detail

    - #### values

          public static EventContext[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventContext c : EventContext.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventContext valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static EventContext get(java.lang.String literal)

      Returns the 'Event Context' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.
      Generated:

    - #### getByName

          public static EventContext getByName(java.lang.String name)

      Returns the 'Event Context' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.
      Generated:

    - #### get

          public static EventContext get(int value)

      Returns the 'Event Context' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.
      Generated:

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
      Generated:

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`
      Generated:

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
      Generated:

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<EventContext>`
      Generated: